Can't remove list items immediately after a template
Closed, ResolvedPublic

Description

It seems to be impossible to remove the very next item after a template. For example, having
{{reflist}}

I can't remove the *. Backspace from after the * removes the {{reflist}} template, and I can't position the cursor anywhere else


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=62475

bzimport added a project: VisualEditor-DataModel.Via ConduitNov 22 2014, 2:08 AM
bzimport set Reference to bz50250.
Martijn_Hoekstra created this task.Via LegacyJun 26 2013, 6:03 PM
gerritbot added a comment.Via ConduitDec 2 2013, 2:06 PM

Change 98515 had a related patch set uploaded by Esanders:
Fix deletion inside a structural node and start/end of document

https://gerrit.wikimedia.org/r/98515

gerritbot added a comment.Via ConduitJan 13 2014, 1:10 PM

Change 107142 had a related patch set uploaded by Esanders:
Fix deletion inside a structural node at start/end of document

https://gerrit.wikimedia.org/r/107142

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:21 AM
Jdforrester-WMF lowered the priority of this task from "High" to "Normal".Via WebJan 15 2015, 12:35 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF set Story Points to 8.Via WebSep 16 2015, 11:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptVia HeraldSep 16 2015, 11:42 PM
gerritbot added a subscriber: gerritbot.Via ConduitNov 10 2015, 3:58 AM

Change 98515 had a related patch set uploaded (by Jforrester):
[WIP] MW test cases for new structural deletion logic

https://gerrit.wikimedia.org/r/98515

gerritbot added a comment.Via ConduitNov 11 2015, 7:59 PM

Change 107142 had a related patch set uploaded (by Jforrester):
Fix deletion inside a structural node at start/end of document

https://gerrit.wikimedia.org/r/107142

Jdforrester-WMF changed the title from "VisualEditor: Can't remove list items immediately after a template" to "Can't remove list items immediately after a template".Via WebNov 11 2015, 7:59 PM
Jdforrester-WMF reassigned this task from Esanders to DLynch.
gerritbot added a comment.Via ConduitNov 11 2015, 8:04 PM

Change 107142 merged by jenkins-bot:
Fix deletion inside a structural node at start/end of document

https://gerrit.wikimedia.org/r/107142

gerritbot added a comment.Via ConduitNov 11 2015, 10:10 PM

Change 98515 merged by jenkins-bot:
Update VE core submodule to master (77d786a)

https://gerrit.wikimedia.org/r/98515

Jdforrester-WMF closed this task as "Resolved".Via WebNov 11 2015, 10:12 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task to TR0: Interrupt on the VisualEditor workboard.Via WebNov 16 2015, 6:51 PM

Add Comment